html{
    height: 100%;
    width: 100%;
    
}
body{
    background-color: black;
    height: 100%;
    width: 100%;
    
    
}

/*Beginning of Navbar*/
.navbar-nav>li>a {
    text-transform: uppercase;
    font-size: 16px;
    margin-right: 20px;
    color: #fff
    
    
}


.navbar-toggler {
    padding: .20rem .50rem;
    font-size: 1.25rem;
    line-height: 1;
    background-color: transparent;
    border: 1px solid white

}

.nav-link {
    color: #fff !important
}

.wrapper {
    width: 100%;
    position: absolute;
    height: 100%;
    background-color: #000;
    clip-path: polygon(82% 0, 100% 0, 100% 50%, 100% 100%, 70% 100%);
    transition: 1s all;
    padding-bottom: 50px;
    
    
}
.navbar-brand{
    position: fixed;
    
}

.nav-link:hover{
    color: #bdbdbd !important;
    
}



.all-show img{
    margin-bottom: 20px;
    margin-top:10px;
    margin-right: 50px;
    
    
}
.navbar-red:hover .wrapper {
    clip-path: polygon(81% 0, 100% 0, 100% 50%, 100% 100%, 58% 100%)
}

.navbar-brand:hover {
    color: #fff
}

.navbar-red {
    background-color: rgb(53, 66, 77);
    color: #fff;
    z-index:10;
   position: fixed;
   width: 100%;
    
}

.all-show {
    z-index: 10;
    
}

#call{
    margin-right: 20px;
    font-size: 27px;
    font-weight: bolder;
}

#call a{
    color: rgb(180, 3, 26);
}

/*End of Navbar*/

/*Beginging of Footer*/
.footer {
    overflow: hidden;   
    background: #070707;
    color: #627482 !important;
    position:relative;
    bottom:0;
    width: 100%;
    
}


.address{
  padding-left:10px;
}

.my-row{
    padding-bottom: 10px;
    
}

.contact {
    font-size: 30px ;
    font-family: Roboto Slab, serif;
}

#shop-hours{
    text-align: start;
    font-size: 30px;
    font-weight: bolder;
    font-family: 'Roboto Slab', serif;
    letter-spacing: .5;
    color: #6c757d !important;
    
}

.days-of-week{
    font-size:20px;
    padding:0;
    margin-top: 0;
    color: #cccfcf;
}
.social-media{
    display: inline-block;
    padding-bottom:35px;
    
}
.icon{
    padding-right: 25px;
    padding-left:7px;
} 
  
.contact-links{
    font-size: 1.2rem;
    padding-bottom: 10px;
    color: rgb(208, 212, 212);
    
}

.icons{
    padding-left:4%;
}
/*End of Footer*/


/*Jumbotron*/

.main-logo{
    background-image: url(/images/Barber-Shop.jpg);
    background-position:center top;
    background-repeat: no-repeat;
    background-size:cover;
    padding-left: 0;
    padding-right: 0;
}

.jumbotron{
    background-size: cover;
    background: rgba(0,0,0,0.7);
    z-index: 1;
    padding-top:180px;
    margin-bottom: 0;
}   

.jumbotron img{
    margin-left: 6px;
    max-height: 300px;
}

.title {
    display: inline-block;
    font-size: 3.8em;
    font-weight: 600;
    line-height: 1.2;
    letter-spacing: 3px;
    padding: 0px;
    font-family:Kaisei Tokumin, serif;
    text-transform: uppercase;
    background: radial-gradient(
      circle farthest-corner at center center,
      white,
      rgb(78, 78, 78)
    ) no-repeat;
    background-clip: text;
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
  }

#best-of img{
    display: block;
    margin-left: auto;
    margin-right: auto;
    height:auto;
    width: 12rem;
    padding-bottom: 30px;
}
 
/*Staff Pics*/

#meet-staff{
    font-family: 'Kaisei Tokumin', serif;
    text-align: center;
    font-size: 42px;
    font-weight: 500;
    letter-spacing: .8;
    color: #879cad;
    padding-top: 60px;
    padding-bottom:80px;
    
}

.staff{
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
    padding-bottom: 8rem;
 }

.box{
    position: relative;
    width: 180px;
    height: 180px;
    display: flex;
    justify-content: center;
    align-items: center;
    margin: 40px;
    background-color: #060c21;
    transition: 0.5s;
}

.box:hover{
    height: 280px;
}
.box .imgBx{
    position: absolute;
    bottom: 12;
    left:32;
    width: 100%;
    height: 100%;
    padding:5px;
    box-sizing: border-box;
   
    
}

.box .imgBx img{
    max-width: 100%;    
    opacity: 0.4;
    transition: 0.5s;
    margin-left: -2rem;
    margin-top: .7rem;
    overflow: visible;
    
} 

.box:hover .imgBx img{
    opacity: 1;
}

.box::before{
    content: '';
    position: absolute;
    top: -2px;
    left: -2px;
    right: -2px;
    bottom: -2px;
    background: #fff;
    z-index: -1;
}

.box::after{
    content: '';
    position: absolute;
    top: -2px;
    left: -2px;
    right: -2px;
    bottom: -2px;
    background: #fff;
    z-index: -2;
    filter:blur(40px);
}

.box:before,
.box::after{
    background: linear-gradient(235deg,#89ff00,#010615,#00bcd4);
}

.box:nth-child(2):before,
.box:nth-child(2):after{
    background: linear-gradient(235deg,#ff005e,#010615,#fbff00);
}

.box:nth-child(3):before,
.box:nth-child(3):after{
    background: linear-gradient(235deg,#772aff,#010615,#2196f3);
}

.box:nth-child(4):before,
.box:nth-child(4):after{
    background: linear-gradient(235deg,#cb0ffa,#010615,#c094fa);
}

.box:nth-child(5):before,
.box:nth-child(5):after{
    background: linear-gradient(235deg,#ee9207,#010615,#2196f3);
}

.box:nth-child(6):before,
.box:nth-child(6):after{
    background: linear-gradient(235deg,#11c2ee,#010615,#7cd89f);
}

.box:nth-child(7):before,
.box:nth-child(7):after{
    background: linear-gradient(235deg, #d54808,#010615,#f10410);
}

.box:nth-child(8):before,
.box:nth-child(8):after{
    background: linear-gradient(235deg, #4b9f0d,#010615, #3e8af4);
}

.box .content{
    position: absolute;
    bottom:0;
    left: 10px;
    right: 10px;
    bottom: 10px;
    height: 90px;
    background: rgba(0,0,0,0.4);
    display: flex;
    justify-content: center;
    align-items: center;
    opacity: 0;
    transition: 0.5s;
}

.box:hover .content{
    opacity: 1;
}

.box .content h2{
    font-size: 20px;
    color: #fff;
    font-weight: 500;
    line-height: 20px;
    letter-spacing: 1px;
}

.box .content h2 span{
    font-size: 14px;
    color: #fff;
    font-weight: 200;
    letter-spacing: 2px;
}

.services{
    border-top: 8px solid;   
    border-right: 0;
    border-left: 0;
    padding-top: 25px;
    margin-bottom: 70px;
    border-color: rgb(133, 133, 134);
    height:max-content;
    /*background: #202020;*/
}

#service-title{
    font-family:Roboto Slab, serif;
    font-size: 45px;
    font-weight: 500;
    color: #879cad;
    letter-spacing: 1px;
    text-align: center;
}

.cut{
    font-size: 2rem;
    font-weight: 400;
    color: #cccfcf;
    text-align: center;
    text-transform: uppercase;
    overflow: visible;
}

.additional-services{
    
    font-size: 1.5rem;
    font-weight: 350;
    text-transform: uppercase;
    color: #cccfcf;
}

.shave{
    
    font-size: 1.5rem;
    font-weight: 350;
    text-transform: uppercase;
    color: #cccfcf;
}

.additional-services-cost{
    
    font-size: 1.3rem;
    font-weight: 300;
    color: #cccfcf;
    padding-left: 0;
}
.service-list{
    background: #000;
}

#cancellation{
    font-family:Roboto Slab, serif;
    font-weight: 500;
    color: #cccfcf;
    letter-spacing: 1px;
    text-align: center;
}
.book{
    display: flex;
    justify-content: center;
    padding-bottom: 200px;
}

.book-now{
    height: 80px;
    width: 240px;
    transition: transform .2s;
    font-family: Roboto Slab, serif;
    font-size: 40px;
    font-weight:500;
    border-radius: 26px;
    color: #fdfdfd;
    background: linear-gradient(110deg, #0065ff, #6942ef, #6554c0, #008cff, #0065ff, #6942ef, #6554c0, #008cff, #0065ff);
    background-size: 300% 300%;

    -webkit-animation: Animation 12s ease infinite;
    -moz-animation: Animation 12s ease infinite;
    animation: Animation 12s ease infinite;
}

@-webkit-keyframes Animation {
    0%{background-position:10% 0%}
    50%{background-position:91% 100%}
    100%{background-position:10% 0%}
}
@-moz-keyframes Animation {
    0%{background-position:10% 0%}
    50%{background-position:91% 100%}
    100%{background-position:10% 0%}
}
@keyframes Animation { 
    0%{background-position:10% 0%}
    50%{background-position:91% 100%}
    100%{background-position:10% 0%}
}

.book-now:hover{
    transform: scale(1.1);
 
}



/*Style for photo gallery page*/
.photo-gallery {
    color:#313437;
    background-color:rgb(0, 0, 0);
    padding-bottom: 5rem;
    padding-top: 12rem;
  }
  
  
  
  
  
  
  
  .photo-gallery .intro {
    font-size:16px;
    margin:0 auto 40px;
  }
  
  .photo-gallery .intro p {
    margin-bottom:0;
  }
  
  .photo-gallery .photos {
    padding-bottom:20px;
    
  }
  
  .photo-gallery .item {
    padding-bottom:30px;
    
  }

  .gal{
      column-count: 3;
      width: 100%;
      margin: 7px;
  }

  .gal img{
      width: 100%;
      height: auto;
      padding: 6px 0;
  }
 
  .gal video{
    width: 100%;
    height: auto;
    padding: 6px 0;
}
  /*About us page*/

  .about{
      padding-top: 12rem;
      padding-bottom: 12rem;
      
      
  }
  
  .who-we-are{
      font-size: 1.5rem;
      font-family:'Kavivanar', cursive;
      width: 80%;
      line-height: 1.6;
      color: #9faaac;
      padding-bottom: 100;
      text-align:center;
      margin: 0 auto;
  }

  .staff-photo{
      position: relative;
      display: block;
      align-items: center;
      width: 100%;
  }

  #all-staff{
    width: 100%;
    object-fit: contain;
      
  }
  /* Media events for all pages */



 @media  screen and (min-width:540px) and (max-width:640px) {
     .who-we-are{
        font-size: 1.1rem;
     }
 }
  
  
  @media screen and (max-width:540px) {
    .title{
        font-size: 2.2rem;
    }

    .cut{
        font-size: 6vw;
    }

    .additional-services-cost{
        font-size: 6vw;
    }

    .gal{
        column-count: 1;
        width: 100%;
    }
    .who-we-are{
        font-size: 1rem;
        padding-bottom: 2rem;
    }

    #all-staff{
        height: auto;
        
    }

    
}






@media screen and (max-width:820px) {
    .photo-gallery h2 {
      margin-bottom:25px;
      padding-top:25px;
      font-size:24px;
    }

    #all-staff{
        height: auto;
    }

    .contact-links{
        font-size: .9rem;
    }
  
    .who-we-are{
      width: 100%;
  }
  }

  



@media screen and (min-width:800px) and (max-width:840px) {
    .cut{
        font-size: 3vw;
    }

    .gal{
        column-count: 2;
        width: 100%;
    }

    
}


@media screen and (min-height:1200px) and (min-width:800px) {
      .footer{
          position:fixed;
        
      }
      
      .photo-gallery{
         padding-bottom: 50%; 
          
      }

      .staff{
          padding-bottom:65%;
      }

      .contact-links{
        font-size: 1.2rem;
    }
  }



  @media screen and (max-width:360px) {
    .title{
        font-size:1.8rem;
    }

    .gal{
        column-count: 1;
        width: 100%;
    }
    
    .who-we-are{
        font-size: .8rem;
    }

    .contact-links{
        font-size: .75rem;
    }
}



@media  screen and (max-width:285px) {
    .contact-links{
        font-size: .8rem;
    }
}